The MU forums have moved to WordPress.org

how to install...confused! (21 posts)

  1. sallam
    Member
    Posted 17 years ago #

    Greetings!

    I've failed to install the new 05-08, with several tries.
    what URL should we load in browser to install?

    * I've unzipped into public_html got 'wordpress' directory
    * I renamed it to 'a'
    * I created a database, and filled in a wp-config.php file accordingly, and uploaded it in wp-inst directory
    * now when I go in my browser to domain.com/a/ it starts fine with everything passed. But when I click to continue, it tries to go to: domain.com/a/main/wp-admin/setup-config.php
    but that files does'nt exisit in wp-admin folder! and where is that 'main' directory?

    what is the correct procedure please to install the new mu successfully?

  2. NetAndif
    Inactive
    Posted 17 years ago #

    I've looked at the unpacked sources, and found setup-config.php under the wp-admin folder
    Don't really now, why it should not exist in your install

  3. sallam
    Member
    Posted 17 years ago #

    its not there! both in my unzipped folder in my computer, and in the web server at my host. Is it there in 05-08 download?

    I'm having a total of 11 files in that folder, admin.php ... to... upload.php, nothing starting with 's'...

  4. NetAndif
    Inactive
    Posted 17 years ago #

    please tell me: where did you get a 05-08 snapshot from?

  5. sallam
    Member
    Posted 17 years ago #

    from here:
    http://mu.wordpress.org/nightly-builds/

    are we supposed to install mu under a download from the original wordpress? I mean do we need both wp and wpmu?
    is that why the new mu download is so tiny?

  6. NetAndif
    Inactive
    Posted 17 years ago #

    the latest full wpmu snapshot is wpmu-2005-05-03
    where did you download your files from?

    no, you don't have to mix wp and wpmu

  7. NetAndif
    Inactive
    Posted 17 years ago #

    sorry, i didn't see the url somehow...

  8. sallam
    Member
    Posted 17 years ago #

    I've downloaded and unpacked all builds. Non of them has the file!!!
    from 05-03 to 05-08 ...

  9. NetAndif
    Inactive
    Posted 17 years ago #

    Ok, these are uncomplete builds.
    Don't now why. Just don't use them.
    I'm sorry, but this code seems to be not ready yet...

  10. sallam
    Member
    Posted 17 years ago #

    Ok thanks. What do you suggest I do now, wait? and for how long?
    or just use the old file instead?

    or maybe there more files missing too? because the downloads were over 500kb, and those nightly builds are just 250kb

  11. NetAndif
    Inactive
    Posted 17 years ago #

    If you just want to get a wpmu up and running, use 2005-05-03
    The pages are not working already in there, but you can find a workaround here in the forum.

    You may download a package including some little fixes here

    Please, tell me if that works.

    Good luck!

  12. sallam
    Member
    Posted 17 years ago #

    many thanks NetAndif, it worked from first try!
    Yes, the pages dont show. You showed how to do this before, so I might go back to the old forum and read your instructions there.

    btw, how do I create newblogs now? what URL to load?

    also, I noticed in your fixed package, the link to 'view blog' from ACP points to the domain root, not domain.com/wpmu/main/. Did you set it so it works directly from the domain or subdomain, instead of subdirectoy? Does that mean I can setup wpmu from a subdomain root?

  13. NetAndif
    Inactive
    Posted 17 years ago #

    admin-header.php
    line 89
    replace 'home' with 'siteurl'

  14. NetAndif
    Inactive
    Posted 17 years ago #

    the wp-newblog which is included in this package, must be called from your main siteurl, e.g. ..../main/wp-newblog.php
    But this 'wizard' is very simple.
    I'm working on a better solution.
    As for the subdomains: no, there is no simple solution for this yet.

  15. plaverty
    Member
    Posted 17 years ago #

    What is the path that people go to in order to create their own blog? I have everything installed (I think), I can use the admin blog, but I can't find where other people can create their own blog. Thanks.

  16. Farms
    Member
    Posted 17 years ago #

    Hiya Plaverty,

    wp-inst/wp-newblog.php shoudl do it

  17. plaverty
    Member
    Posted 17 years ago #

    Maybe the key word there is "should", cuz it doesn't. :)

    When I go to that page, I get the three text fields, asking me for the username, blog name and email address. I enter all three and then click the "Continue to Second Step" button and I get:

    Fatal error: Call to a member function on a non-object in /www/data/httpd/htdocs/Facilities/CIS/patrick/wpmu/wp-inst/wp-includes/functions.php on line 1200

    So I went to line 1200 and see:
    if ( $users = $wpdb->get_results("SELECT * FROM $wpdb->users WHERE user_level > 0") ) :

    I guess I have to assume that the non-object is $wpdb, which I'm assuming is my database connection. So either a) I don't have a database connection because it failed for some reason, or b) the connection isn't being passed into the function properly.

    I'm guessing its not a) because I would think that I would get notified sooner if the problem was a failed database connection, no? So if the problem is that the connection isn't getting passed in correctly, why is that? How do I fix that?

  18. plaverty
    Member
    Posted 17 years ago #

    Or is this because I didn't install the "mu admin plugin"? Is that a separate step? I have successfully gotten one blog (main) working, but that's all. Thanks!

  19. bravajo
    Inactive
    Posted 17 years ago #

    Plaverty,

    Same issue with me. Followed all of the "instructions" but have the same error. This should be an easy one to solve I just wish someone who has it working would toss us a bone ;)

    BJ

  20. bravajo
    Inactive
    Posted 17 years ago #

    Actually I could verify that it is not the MU Admin Plugin. WI activated that and it wasn't long before my whole install imploded.....that plugin not recommended

  21. plaverty
    Member
    Posted 17 years ago #

    I'm just wondering if this issue is getting fixed, since it appears that I followed the instructions and someone else is getting the exact same error. Has this been checked on by the developers yet? Is a fix coming? Is MU too immature for an entire university to use in the coming months and should I just purchase MT?

    Thanks.

About this Topic

  • Started 2024 years ago by sallam
  • Latest reply from plaverty